<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::traits::is_convertible_unit&lt; U1, U2 &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1traits.html">traits</a></li><li class="navelem"><a class="el" href="structunits_1_1traits_1_1is__convertible__unit.html">is_convertible_unit</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">units::traits::is_convertible_unit&lt; U1, U2 &gt; Struct Template Reference<div class="ingroups"><a class="el" href="group___type_traits.html">Type Traits</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Trait which checks whether two units can be converted to each other.  
 <a href="structunits_1_1traits_1_1is__convertible__unit.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="units_8h_source.html">units.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for units::traits::is_convertible_unit&lt; U1, U2 &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structunits_1_1traits_1_1is__convertible__unit.png" alt=""/>
 </div></div>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;class U1, class U2&gt;<br />
struct units::traits::is_convertible_unit&lt; U1, U2 &gt;</h3>

<p>Trait which checks whether two units can be converted to each other. </p>
<p>Inherits from <code>std::true_type</code> or <code>std::false_type</code>. Use <code><a class="el" href="structunits_1_1traits_1_1is__convertible__unit.html" title="Trait which checks whether two units can be converted to each other.">is_convertible_unit</a>&lt;U1, U2&gt;::value</code> to test whether <code>class U1</code> is convertible to <code>class U2</code>. Note: convertible has both the semantic meaning, (i.e. meters can be converted to feet), and the c++ meaning of conversion (type meters can be converted to type feet). Conversion is always symmetric, so if U1 is convertible to U2, then U2 will be convertible to U1. </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U1</td><td>Unit to convert from. </td></tr>
    <tr><td class="paramname">U2</td><td>Unit to convert to. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="structunits_1_1traits_1_1is__convertible__unit__t.html" title="Trait which tests whether two container types derived from unit_t are convertible to each other.">is_convertible_unit_t</a> </dd></dl>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/mnt/e/workspace/units-master/include/<a class="el" href="units_8h_source.html">units.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:55 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
